Bug 275292 - In the black color filled table, instead of text white color mark is displaying.
Summary: In the black color filled table, instead of text white color mark is displaying.
Status: VERIFIED FIXED
Alias: None
Product: calligrawords
Classification: Unclassified
Component: doc (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Matus Uzak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-09 16:33 UTC by swathi
Modified: 2011-06-29 06:05 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Test data (24.50 KB, application/octet-stream)
2011-06-09 16:33 UTC, swathi
Details
Screenshot in MS Office (139.63 KB, image/x-png)
2011-06-09 16:34 UTC, swathi
Details
Screenshot in Calligra Words (115.69 KB, image/x-png)
2011-06-09 16:35 UTC, swathi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description swathi 2011-06-09 16:33:55 UTC
Created attachment 60837 [details]
Test data

Version: git checkout 8288143b7c1f9f9005209b55b651875219b0e9d6
        (Using KDE 4.5.5)                
     OS: Kubuntu 10.10
Test data is in word 2003 format.
Open the same document in Calligra Words.

Expected outcome:
In the 1st page, the text “Company Name Here” should be displayed clearly.

Actual outcome:
Instead of the text, white color mark is displaying,
Please check the screenshots attached.
Frequency:
Always.
Comment 1 swathi 2011-06-09 16:34:33 UTC
Created attachment 60838 [details]
Screenshot in MS Office
Comment 2 swathi 2011-06-09 16:35:08 UTC
Created attachment 60839 [details]
Screenshot in Calligra Words
Comment 3 LukasT 2011-06-10 17:24:56 UTC
Ups..
Comment 4 Matus Uzak 2011-06-11 23:25:25 UTC
What a fight about this bug. :)
Comment 5 Matus Uzak 2011-06-11 23:53:19 UTC
Git commit c4e21a713d37079288d90722d66e2cc5741bc131 by Matus Uzak.
Committed on 11/06/2011 at 23:49.
Pushed by uzak into branch 'words-autocolor-uzak-ltvrdy'.

DOC: Improved support for a table cell shading color set to cvAuto.

* Looking for the base color of the paragraph or for a built-in style
  in the styles hierarchy with a font color not set to cvAuto.

TODO: Not sure which background color to provide.  Test files required!

BUG:275292

M  +9    -3    filters/words/msword-odf/conversion.cpp     
M  +4    -4    filters/words/msword-odf/conversion.h     
M  +5    -8    filters/words/msword-odf/paragraph.cpp     
M  +18   -5    filters/words/msword-odf/paragraph.h     
M  +15   -19   filters/words/msword-odf/tablehandler.cpp     
M  +2    -0    filters/words/msword-odf/tablehandler.h     
M  +29   -1    filters/words/msword-odf/texthandler.cpp     
M  +20   -0    filters/words/msword-odf/texthandler.h     

http://commits.kde.org/calligra/c4e21a713d37079288d90722d66e2cc5741bc131
Comment 6 swathi 2011-06-29 06:05:13 UTC
Verified in  5f6f9401b53343b140d2bae8587ec3a01f103fe1.